#include <stdio.h>
#include <stdlib.h>
#include <time.h>
 
int main(){ 
  double u[]={1,2,3};
  double v[3]={1,1,1},w[3];
  
  int i,j;
  double S;
  
  /* Calcul de w=u+v */
  for (i=0;i<3;i++)
    w[i]=u[i]+v[i];
  
  printf("1. w=u+v :\n");
  for (i=0;i<3;i++)
    printf("w[%d]=%lf\n",i,w[i]);
  
  /* Calcul du produit scalaire S=<u,v> */
  S=0.;
  for (i=0;i<3;i++)
    S+=u[i]*v[i];
  printf("2. S=<u,v> : %lf\n",S);
  
  return 1;
}